commit:     18b0a0f7971c90a2d463ecad249a27b69243137a
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 11:55:17 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 12:07:58 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18b0a0f7

dev-libs/xerces-c: Version bump

Package-Manager: portage-2.2.27

 dev-libs/xerces-c/Manifest              |  1 +
 dev-libs/xerces-c/xerces-c-3.1.3.ebuild | 99 +++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-libs/xerces-c/Manifest b/dev-libs/xerces-c/Manifest
index f27ac77..4641232 100644
--- a/dev-libs/xerces-c/Manifest
+++ b/dev-libs/xerces-c/Manifest
@@ -1 +1,2 @@
 DIST xerces-c-3.1.2.tar.gz 6959894 SHA256 
743bd0a029bf8de56a587c270d97031e0099fe2b7142cef03e0da16e282655a0 SHA512 
89b61c336b270e124f7773534606706787da02437cf0b9d0374481027eb235692990b99e8ead383cb2d6da52dab2ae5f14fafcf30aba748900e1a0c32957fdc8
 WHIRLPOOL 
768e6f653345ed30de2b3840f437bd22df381e8c341ddfdaedd08ed48d2331937e2431cdbc503c9d1a9180848cbc6a13f0a0fe359b6d8b7e846f0b49e9e2a43b
+DIST xerces-c-3.1.3.tar.gz 9009575 SHA256 
f3d4f73db7c981e16db2b16d9424b0c75d9fbd30ad81747cac047bc6170b5b49 SHA512 
587f74360265d148fede240b04b75aaeb17d67d7da007084bcab95af893f6512503ea487766dbf318aaa750c8463bfe1b9b6593925b7181c341dd06ca0113183
 WHIRLPOOL 
4f0277052f9cc8428f8976ec0d1305439882f67ebc592946e7f8d0905a06e157801413d51d644afca1042d8341dab7261374a8c678c6f78a3d11dbfa96f9a4e2

diff --git a/dev-libs/xerces-c/xerces-c-3.1.3.ebuild 
b/dev-libs/xerces-c/xerces-c-3.1.3.ebuild
new file mode 100644
index 0000000..d8e0f94
--- /dev/null
+++ b/dev-libs/xerces-c/xerces-c-3.1.3.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+DESCRIPTION="A validating XML parser written in a portable subset of C++"
+HOMEPAGE="http://xerces.apache.org/xerces-c/";
+SRC_URI="mirror://apache/xerces/c/3/sources/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux"
+
+IUSE="cpu_flags_x86_sse2 curl doc elibc_Darwin elibc_FreeBSD iconv icu 
static-libs threads"
+
+RDEPEND="icu? ( dev-libs/icu:0= )
+       curl? ( net-misc/curl )
+       virtual/libiconv"
+DEPEND="${RDEPEND}
+       doc? ( app-doc/doxygen )"
+
+DOCS=( CREDITS KEYS NOTICE README version.incl )
+
+pkg_setup() {
+       export ICUROOT="/usr"
+
+       if use iconv && use icu ; then
+               ewarn "This package can use iconv or icu for loading messages"
+               ewarn "and transcoding, but not both. ICU will precede."
+       fi
+}
+
+src_prepare() {
+       use threads || epatch "${FILESDIR}/3.1.1-disable-thread-tests.patch"
+
+       sed -i \
+               -e 's|$(prefix)/msg|$(DESTDIR)/$(prefix)/share/xerces-c/msg|' \
+               -e 's/@mkdir_p@/@MKDIR_P@/' \
+               src/xercesc/util/MsgLoaders/MsgCatalog/Makefile.in || die
+
+       epatch_user
+}
+
+src_configure() {
+       local mloader="inmemory"
+       use iconv && mloader="iconv"
+       use icu && mloader="icu"
+
+       local transcoder="gnuiconv"
+       use elibc_FreeBSD && transcoder="iconv"
+       use elibc_Darwin && transcoder="macosunicodeconverter"
+       use icu && transcoder="icu"
+       # for interix maybe: transcoder="windows"
+
+       # 'cfurl' is only available on OSX and 'socket' isn't supposed to work.
+       # But the docs aren't clear about it, so we would need some testing...
+       local netaccessor="socket"
+       use elibc_Darwin && netaccessor="cfurl"
+       use curl && netaccessor="curl"
+
+       econf \
+               --disable-pretty-make \
+               $(use_enable static-libs static) \
+               $(use_enable threads) \
+               --enable-msgloader-${mloader} \
+               --enable-netaccessor-${netaccessor} \
+               --enable-transcoder-${transcoder} \
+               $(use_enable cpu_flags_x86_sse2 sse2)
+}
+
+src_compile() {
+       default
+
+       if use doc ; then
+               cd "${S}/doc"
+               doxygen || die "making docs failed"
+       fi
+}
+
+src_install () {
+       default
+       prune_libtool_files
+
+       # To make sure an appropriate NLS msg file is around when using the 
iconv msgloader
+       # ICU has the messages compiled in.
+       if use iconv && ! use icu ; then
+               doenvd "${FILESDIR}/50xerces-c"
+       fi
+
+       if use doc; then
+               insinto /usr/share/doc/${PF}
+               rm -rf samples/Makefile* samples/runConfigure 
samples/src/*/Makefile* samples/.libs
+               doins -r samples
+               dohtml -r doc/html/*
+       fi
+}

Reply via email to